# Relocation Dataset API

## Submit Intellizence Business Relocation Dataset request

> This API endpoint allows users to access real-time and historical business relocation data. Users can search data using various parameters- \`dateType\`,\`startDate\`,\`endDate\`,\`date\`,\`companyDomain\`,\`companyName\`,\`companyIndustry\`,\`companyLocation\`,\`companyType\`,\`companyTicker\`,\`currentLocation\`,\`newLocation\`, and \`relocationType\`. Users can limit the number of records returned using the \`limit\` parameter. All the parameters are optional. The API key has to be passed in HTTP header with the name \`x-api-key\`.

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Business Relocation Dataset API","version":"2.0"},"servers":[{"url":"https://api.intellizence.com"}],"paths":{"/api/v2/dataset/relocation":{"post":{"summary":"Submit Intellizence Business Relocation Dataset request","description":"This API endpoint allows users to access real-time and historical business relocation data. Users can search data using various parameters- `dateType`,`startDate`,`endDate`,`date`,`companyDomain`,`companyName`,`companyIndustry`,`companyLocation`,`companyType`,`companyTicker`,`currentLocation`,`newLocation`, and `relocationType`. Users can limit the number of records returned using the `limit` parameter. All the parameters are optional. The API key has to be passed in HTTP header with the name `x-api-key`.","operationId":"getRelocationDataset","parameters":[{"name":"x-api-key","in":"header","description":"Intellizence API key for authenticating the request.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Intellizence Business Relocation Dataset request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dataset_relocation_body"}}}},"responses":{"200":{"description":"Successful response, returns the Intellizence Business Relocation dataset record(s)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"400":{"description":"Bad request, possibly missing required parameters, invalid data, invalid or missing API key"},"404":{"description":"Available credits are 0"},"405":{"description":"Insufficient credits"},"500":{"description":"Internal server error"}}}}},"components":{"schemas":{"dataset_relocation_body":{"type":"object","properties":{"dateType":{"type":"string","description":"Choose the date type used to filter records.The default value is 'ANNOUNCED'. To get the daily update of records created or modified, 'LAST-MODIFIED' is recommended.","enum":["ANNOUNCED","LAST-MODIFIED"]},"startDate":{"type":"string","description":"The start date (YYYY-MM-DD) from which business relocation data is needed. The Intellizence Business Expansion Dataset contains data beginning from 2023-01-01.","format":"date"},"endDate":{"type":"string","description":"The end date (YYYY-MM-DD) up to which business expansion data is needed.","format":"date"},"date":{"type":"string","description":"Exact date (YYYY-MM-DD) for which the business expansion data is needed.","format":"date"},"companyName":{"type":"string","description":"The name(s) of the company for which the business expansion data is needed. Partial name matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"companyDomain":{"type":"string","description":"The website domain(s) of the company for which the business expansion  data is needed. Partial website domain matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"companyIndustry":{"type":"string","description":"The industry or industries of companies for which business expansion data is needed. The industries are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values should be provided as an array.","enum":["accounting, audit & tax","advertising & communication","agriculture, animal husbandry & forestry","angels/ venture capital/ private equity","automobile","aviation","banking","bio-technology","business services","chemicals & fertilizers","clean technology","conglomerate","consulting","consumer products","consumer services","defence","distribution","e-commerce","economic development","education","energy & utilities","engineering, procurement & construction","financial services","gambling","gaming","government","healthcare","human resources","insurance","it services & outsourcing","legal","logistics & supply chain","manufacturing","media & entertainment","medical device","metals & mining","not-for-profit/ ngo","others","pharmaceuticals","publishing","railways","real estate","regulatory","restaurants & food services","retail","security","shipping & ports","spac/blank check","sports","technology","telecommunication","textiles","tourism & hospitality","trading","transportation"]},"companyLocation":{"type":"string","description":"The location of the company headquarters for which business expansion data is needed. The location can be city or state/province or country. Multiple values can be provided either as a comma-separated string or as an array."},"companyType":{"type":"string","description":"The type of company for which business expansion  data is needed. The company types are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values can be provided either as a comma-separated string or as an array.","enum":["Public","Private","Government/Regulator","Not-for-profit","Others"]},"companyTicker":{"type":"string","description":"Company Ticker if it's a public company."},"relocationType":{"type":"string","description":"Type of relocation for which data is needed. Multiple values can be provided either as a comma-separated string or as an array.","enum":["Head Quarter","Branch","Factory/Plant","Store","Hub","Office","Others"]},"currentLocation":{"type":"string","description":"Current location of the business operation. Multiple values can be provided either as a comma-separated string or as an array."},"newLocation":{"type":"string","description":"New location of the business operation. Multiple values can be provided either as a comma-separated string or as an array."},"limit":{"type":"integer","description":"The maximum number of records to be returned."}}},"inline_response_200":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of the record"},"announcedDate":{"type":"string","description":"Business relocation announced date","format":"date"},"company":{"type":"object","properties":{"name":{"type":"string","description":"Company name"},"domain":{"type":"string","description":"Company website domain"},"industries":{"type":"array","description":"Company industry classification by Intellizence","items":{"type":"string"}},"location":{"type":"string","description":"Company HQ location"},"type":{"type":"string","description":"Company type"},"ticker":{"type":"array","description":"Company stock ticker (if public)","items":{"type":"string"}}}},"expansionType":{"type":"string","description":"Type of expansion"},"currentLocation":{"type":"object","properties":{"country":{"type":"string"},"state":{"type":"string"},"city":{"type":"string"}},"description":"Current location of the business operation"},"newLocation":{"type":"object","properties":{"country":{"type":"string"},"state":{"type":"string"},"city":{"type":"string"}},"description":"New location of the business operation"},"lastModified":{"type":"string","description":"The last modified date of the record.","format":"date"},"title":{"type":"string","description":"Source title - News or press release headline"},"url":{"type":"string","description":"URL of the source document."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/dataset-api/business-relocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
